package net.thecodersbreakfast.wickettips.presentation.wicket.pages;

import org.apache.wicket.AttributeModifier;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.model.Model;

public class BasePage extends WebPage {

	public BasePage() {

		// Links
		add(new BookmarkablePageLink<Void>("bluePageLink", BluePage.class));
		add(new BookmarkablePageLink<Void>("redPageLink", RedPage.class));

		// Page wrapper, for CSS management
		WebMarkupContainer container = new WebMarkupContainer("pageBody") {
			@Override
			public boolean isTransparentResolver() {
				return true;
			}
		};
		String pageId = getClass().getSimpleName();
		container.add(new AttributeModifier("id", true, new Model<String>(pageId)));
		add(container);

	}
}
